
User Interface - Bug #7907

Browse row-leave handler not called after apply entry in FWD

10/12/2023 09:27 AM - Yuriy Volyanskyy

Status: New Start date:  

Priority: Normal Due date:  

Assignee: Stanislav Lomany % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/12/2023 09:35 AM - Greg Shah

- Start date deleted (10/12/2023)

- Description updated

From Yuriy:

I made a unit test that works in OE but fails in FWD. Please see the attached file. It expects row-leave handler to be called but it isn't. I think the

problem is that in OE apply "entry":U to hColumn makes the cell enter edit mode which isn't happening in FWD. Tried both in Swing client and ChUI.

Notes:

If I put a breakpoint on that apply "entry" line, in OE it displays the Browse as expected:

!Screenshot 2023-10-12 at 14.15.30.png!

In FWD it displays an empty grey rectangle:

!Screenshot 2023-10-12 at 14.17.17.png!

If I add a call to processEvents(); before apply "entry" it does display the Browse but doesn't switch to edit mode anyway.

(Based on fairly recent trunk)

#2 - 10/12/2023 09:36 AM - Greg Shah

- Project changed from FWD to User Interface

Is this intended to be a generic bug or does this need to be moved into a customer project?

Is this related to any existing bug?

Please provide the exact trunk revision used for testing.
#3 - 10/12/2023 10:26 AM - Yuriy Volyanskyy

Greg Shah wrote:

Is this intended to be a generic bug or does this need to be moved into a customer project?

 

A generic bug

Is this related to any existing bug?

 

Sorry, I'm not aware of that

Please provide the exact trunk revision used for testing.

 

trunk rev. 14703

#4 - 10/16/2023 04:27 AM - Tijs Wickardt

- Subject changed from Browse behavior differences in OE and FWD to Browse row-leave handler not called after apply entry in FWD

Files

TestOffEndEventsSimple.p 3.18 KB 10/12/2023 Yuriy Volyanskyy

Screenshot 2023-10-12 at 14.15.30.png 82.6 KB 10/12/2023 Yuriy Volyanskyy

Screenshot 2023-10-12 at 14.17.17.png 35.4 KB 10/12/2023 Yuriy Volyanskyy
